Subject: Re: gp_disp

From: "Guangxing Zhang" <[email-masked]>
Date: Thu, 27 May 2004 16:58:17 +0800

_gp_disp is a magic symbol references to which are only generated by the 
assembler when generating PIC code, so you simply compiled using the 
wrong options. Add ``-fno-pic -mno-abicalls'' to the options and this 
problem will go away. 
BTW,I find this in google, may it will be help to you	!

======= [email-masked] 2004-05-27 17:26:54 WROTE：=======

>Hi,
>I have a kernel module which works fine with linux X86 combo.
>But when I try to compile it with mips cross toll chain it compiles well but insmod gives me error on "_gp_disp" unknown symbol.
> 
>How do I get rid of that ??? Do I need to do anything special with my compiler flags.

= = = = = = = = = = = = = = = = = = = =

　　　　　　　　Guangxing Zhang
　　　　　　　　[email-masked]
　　　　　　　　2004-05-27 16:57:24
--------------------------------------------------------------------------------------------
Far and away the best prize that life offers is the chance to work hard at work worth doing. 
--------------------------------------------------------------------------------------------